### Enumeration

# Peas PluginInfoError

#### Declaration

    error-domain Peas.PluginInfoError

#### Description [src]

These identify the various errors that can occur while loading a plugin.

#### Members

`PEAS_PLUGIN_INFO_ERROR_LOADING_FAILED`

  The plugin failed to load.

  - Value: `0`
  - Available since: 1.0
`PEAS_PLUGIN_INFO_ERROR_LOADER_NOT_FOUND`

  The plugin’s loader was not found.

  - Value: `1`
  - Available since: 1.0
`PEAS_PLUGIN_INFO_ERROR_DEP_NOT_FOUND`

  A dependency of the plugin was not found.

  - Value: `2`
  - Available since: 1.0
`PEAS_PLUGIN_INFO_ERROR_DEP_LOADING_FAILED`

  A dependency of the plugin failed to load.

  - Value: `3`
  - Available since: 1.0